package com.yutou.jianr_mg.Data;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

public class ShipEquipmnt {
    private int cid;
    private int star;
    private String title;
    private String country;
    private int type;
    private String hp;
    private int atk;
    private String def;
    private String torpedo;
    private String antisub;
    private String radar;
    private String hit;
    private int range;
    private String miss;
    private String luck;
    private String correction;
    private String effect;
    private DismantleBean dismantle;
    private String author;
    private String desc;
    private String desc2;
    private String equipIndex;
    private int picId;
    private int boreType;
    private String handbookType;
    private String aircraftAtk;
    private String missileTmd;
    private String missileHit;
    private String airDef;
    private int airDefRate;
    private String airDefCorrect;
    private String missleDefModulus;
    private String shipCid;
    private String shipCountry;
    private String specialEffect;
    private String aluminiumUse;
    private List<Integer> shipType;

    public int getCid() {
        return cid;
    }

    public void setCid(int cid) {
        this.cid = cid;
    }

    public int getStar() {
        return star;
    }

    public void setStar(int star) {
        this.star = star;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getHp() {
        return hp;
    }

    public void setHp(String hp) {
        this.hp = hp;
    }

    public int getAtk() {
        return atk;
    }

    public void setAtk(int atk) {
        this.atk = atk;
    }

    public String getDef() {
        return def;
    }

    public void setDef(String def) {
        this.def = def;
    }

    public String getTorpedo() {
        return torpedo;
    }

    public void setTorpedo(String torpedo) {
        this.torpedo = torpedo;
    }

    public String getAntisub() {
        return antisub;
    }

    public void setAntisub(String antisub) {
        this.antisub = antisub;
    }

    public String getRadar() {
        return radar;
    }

    public void setRadar(String radar) {
        this.radar = radar;
    }

    public String getHit() {
        return hit;
    }

    public void setHit(String hit) {
        this.hit = hit;
    }

    public int getRange() {
        return range;
    }

    public void setRange(int range) {
        this.range = range;
    }

    public String getMiss() {
        return miss;
    }

    public void setMiss(String miss) {
        this.miss = miss;
    }

    public String getLuck() {
        return luck;
    }

    public void setLuck(String luck) {
        this.luck = luck;
    }

    public String getCorrection() {
        return correction;
    }

    public void setCorrection(String correction) {
        this.correction = correction;
    }

    public String getEffect() {
        return effect;
    }

    public void setEffect(String effect) {
        this.effect = effect;
    }

    public DismantleBean getDismantle() {
        return dismantle;
    }

    public void setDismantle(DismantleBean dismantle) {
        this.dismantle = dismantle;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getDesc2() {
        return desc2;
    }

    public void setDesc2(String desc2) {
        this.desc2 = desc2;
    }

    public String getEquipIndex() {
        return equipIndex;
    }

    public void setEquipIndex(String equipIndex) {
        this.equipIndex = equipIndex;
    }

    public int getPicId() {
        return picId;
    }

    public void setPicId(int picId) {
        this.picId = picId;
    }

    public int getBoreType() {
        return boreType;
    }

    public void setBoreType(int boreType) {
        this.boreType = boreType;
    }

    public String getHandbookType() {
        return handbookType;
    }

    public void setHandbookType(String handbookType) {
        this.handbookType = handbookType;
    }

    public String getAircraftAtk() {
        return aircraftAtk;
    }

    public void setAircraftAtk(String aircraftAtk) {
        this.aircraftAtk = aircraftAtk;
    }

    public String getMissileTmd() {
        return missileTmd;
    }

    public void setMissileTmd(String missileTmd) {
        this.missileTmd = missileTmd;
    }

    public String getMissileHit() {
        return missileHit;
    }

    public void setMissileHit(String missileHit) {
        this.missileHit = missileHit;
    }

    public String getAirDef() {
        return airDef;
    }

    public void setAirDef(String airDef) {
        this.airDef = airDef;
    }

    public int getAirDefRate() {
        return airDefRate;
    }

    public void setAirDefRate(int airDefRate) {
        this.airDefRate = airDefRate;
    }

    public String getAirDefCorrect() {
        return airDefCorrect;
    }

    public void setAirDefCorrect(String airDefCorrect) {
        this.airDefCorrect = airDefCorrect;
    }

    public String getMissleDefModulus() {
        return missleDefModulus;
    }

    public void setMissleDefModulus(String missleDefModulus) {
        this.missleDefModulus = missleDefModulus;
    }

    public String getShipCid() {
        return shipCid;
    }

    public void setShipCid(String shipCid) {
        this.shipCid = shipCid;
    }

    public String getShipCountry() {
        return shipCountry;
    }

    public void setShipCountry(String shipCountry) {
        this.shipCountry = shipCountry;
    }

    public String getSpecialEffect() {
        return specialEffect;
    }

    public void setSpecialEffect(String specialEffect) {
        this.specialEffect = specialEffect;
    }

    public String getAluminiumUse() {
        return aluminiumUse;
    }

    public void setAluminiumUse(String aluminiumUse) {
        this.aluminiumUse = aluminiumUse;
    }

    public List<Integer> getShipType() {
        return shipType;
    }

    public void setShipType(List<Integer> shipType) {
        this.shipType = shipType;
    }

    public static class DismantleBean {
        /**
         * 2 : 0
         * 3 : 5
         * 4 : 5
         * 9 : 0
         */

        @JSONField(name = "2")
        private int _$2;
        @JSONField(name = "3")
        private int _$3;
        @JSONField(name = "4")
        private int _$4;
        @JSONField(name = "9")
        private int _$9;

        public int get_$2() {
            return _$2;
        }

        public void set_$2(int _$2) {
            this._$2 = _$2;
        }

        public int get_$3() {
            return _$3;
        }

        public void set_$3(int _$3) {
            this._$3 = _$3;
        }

        public int get_$4() {
            return _$4;
        }

        public void set_$4(int _$4) {
            this._$4 = _$4;
        }

        public int get_$9() {
            return _$9;
        }

        public void set_$9(int _$9) {
            this._$9 = _$9;
        }
    }
}
